# Liste des erreurs générées

Les erreurs générées lors d’un contrôle sont classées par type. On distingue les erreurs relatives :

*   aux entités,
*   à la géométrie,
*   aux jeux de données,
*   aux types d’entité.

Le tableau ci-dessous liste l’ensemble des erreurs retournées par Qualigéo :

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-0pn5">Code derreur</th>
    <th class="tg-0pn5">Classe derreur</th>
    <th class="tg-0pn5">Type derreur</th>
  </tr>
  <tr>
    <td class="tg-0pn5">E0002</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non conforme (interprétation de la géométrie).</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0003</td>
    <td class="tg-o6tx">Type d'entité</td>
    <td class="tg-o6tx">Attribut non autorisé.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0004</td>
    <td class="tg-avj4">Type d'entité</td>
    <td class="tg-avj4">Attribut obligatoire absent.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0005</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité obligatoire absent.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0007</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Taille de l'attribut trop grande.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0008</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte d'unicité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0009</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de contrainte de non nullité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0010</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors domaine.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0011</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de relation spatiale.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0012</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors expression régulière.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0014</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de tesselation : chevauchement.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0015</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Violation de la contrainte de tesselation : espace.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0017</td>
    <td class="tg-avj4">Jeu de données</td>
    <td class="tg-avj4">Nombre d'erreurs maximum dépassé.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0030</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Enfant avec trop de parents.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0031</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Enfant sans parent.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0032</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Parent avec trop d'enfants.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0033</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Parent sans enfant.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0034</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Date non conforme.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0035</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Non respect de la contrainte sur l'entité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0036</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Non respect du domaine spatial. Systčme de coordonnées différent du systčme de référence.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0037</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Non respect du domaine spatial. Données en dehors des bornes.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0038</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Géométrie non conforme (type de géométrie).</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0039</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut inférieure au minimum.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0040</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut supérieure au maximum.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0041</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Relation spatiale impossible, géométrie non conforme.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0042</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Problème de relation spatiale, géométrie de l'entité liée non conforme.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0043</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Type d'attribut non conforme.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0044</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité non défini.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0045</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte Python sur l'entité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0046</td>
    <td class="tg-o6tx">Code</td>
    <td class="tg-o6tx">Erreur de codage de la contrainte Python sur l'entité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0047</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut hors expression réguličre décrite par code python.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0048</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Violation de la contrainte spécifique (Python) sur le jeu de données.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0049</td>
    <td class="tg-avj4">Code</td>
    <td class="tg-avj4">Erreur de codage de la contrainte Python sur l'attribut.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0050</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction stricte - segment.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0051</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction stricte - vertex.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0052</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction permissive - segment.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0054</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction permissive - polygone.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0055</td>
    <td class="tg-o6tx">Format Personnalisé</td>
    <td class="tg-o6tx">Erreur définie et testée dans le format personnalisé.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0057</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non valide.</td>
  </tr>
</table>
